using FitConnect.Validation;
using FluentAssertions;

namespace ValidationTests;

public class SubmissionSchemaValidationTests {
    SubmissionDataValidation _submissionDataValidation;

    public SubmissionSchemaValidationTests() {
        _submissionDataValidation = new SubmissionDataValidation();
    }

    [Fact]
    public async Task Test1() {
        var jsonData = """
        {
            "name": "test",
            "age": 10
        }
        """;

        var jsonSchema = """
        {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "age": {
                    "type": "number"
                }
            }
        }
        """;

        var validationResult =
            await _submissionDataValidation.ValidateSubmission(jsonData, jsonSchema, System.Net.Mime.MediaTypeNames.Application.Json);
        validationResult.Should().BeTrue();
    }
}
